com.thinkaurelius.titan.graphdb.util

## Class AllEdgesIterable

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.util.AllEdgesIterable

-     public class AllEdgesIterable
      extends Object

  Constructs `Iterable`s over all `TitanEdge`s connecting a provided set of vertices.

  Given a set of vertices, one may be interested in all edges that are contained in the subgraph spanned by those vertices.
  Author:
    Matthias Bröcheler (me@matthiasb.com);

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<com.tinkerpop.blueprints.Edge>` | `of(Iterable<? extends com.tinkerpop.blueprints.Vertex> vertices)` Returns an iterable over all edges incident on the vertices returned by the given Iterable over vertices.
    `static Iterable<com.tinkerpop.blueprints.Edge>` | `of(Set<? extends com.tinkerpop.blueprints.Vertex> vertices)` Returns an iterable over all edges contained in the subgraph spanned by the given vertices.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static Iterable<com.tinkerpop.blueprints.Edge> of(Iterable<? extends com.tinkerpop.blueprints.Vertex> vertices)

      Returns an iterable over all edges incident on the vertices returned by the given Iterable over vertices.

      Note that this method assumes that the given Iterable will return all vertices in the connected component, otherwise the behavior of this method is undefined.
      Parameters:
        `vertices` - Iterable over a set of vertices defining a connected component.
      Returns:
        Iterable over all edges contained in this component.

    - #### of

          public static Iterable<com.tinkerpop.blueprints.Edge> of(Set<? extends com.tinkerpop.blueprints.Vertex> vertices)

      Returns an iterable over all edges contained in the subgraph spanned by the given vertices.

      This method will return all edges whose end points are contained in the given set of vertices.
      Parameters:
        `vertices` - Set of vertices
      Returns:
        All edges contained in the subgraph spanned by the set of vertices.

Copyright © 2012–2014. All rights reserved.